<?php
/**
 * 活动删除
 * $Id: event_delete_result.php,v 1.1 2015/10/08 11:18:46 wanggb Exp $
 * @author lixq
 * @package manager.public_html
 */

// 底层包含
require_once("manager_include.inc");

// 登录检查
require_once("check_login.inc");

// 权限检查
if (!checkAuthority("14")) {
	// エラー表示
	$layout_pages = array();
	$layout_pages["left"] = "menu.inc";
	$layout_pages["right"] = "error.inc";
	$message = "权限不足，请联系系统管理员。";
	require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/leftmenu_layout.inc");
	exit;
}

// 参数取得
$id = ParamUtil::getRequestString("id");
$volunteer_event_dat= VolunteerEventDat::getById($id);
if ($volunteer_event_dat == null) {
	// エラー表示
  $message = "对象不存在.";
  $layout_pages = array();
  $layout_pages["left"] = "menu.inc";
  $layout_pages["right"] = "error.inc";
  require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/leftmenu_layout.inc");
  exit;
}

$aliHandler = new AliUploadHandler();
$aliHandler->delete(substr ( $volunteer_event_dat->front_image, strrpos ( $volunteer_event_dat->front_image, "/" ) + 1 ));
// 数据库更新
$volunteer_event_dat->delete_flg = true;
$volunteer_event_dat->save();

// 跳到一览页
header("Location:event_list.php?search_flg=true");
exit;
